Contracts
The contracts the customer signed with Nimag.
Contracts
GET/contracts
Needs the permission contract:read
Signed contracts, newest first, with a link to each document.
Response 200
idrequired | string | |
titlerequired | string | |
descriptionrequired | string | |
frequencyrequired | string | |
activerequired | boolean | |
next_invoice_daterequired | string | null | |
itemsrequired | object[] | |
descriptionrequired | string | |
quantityrequired | number | |
unitrequired | string | |
detailsrequired | string[] | |
subtotalrequired | number | null | |
amount_untaxedrequired | number | null | |
currencyrequired | string |
curl "https://portal.nimag.net/api/v1/contracts" \ -H "Authorization: Bearer nck_…"
[
{
"id": "string",
"title": "string",
"description": "string",
"frequency": "string",
"active": true,
"next_invoice_date": "string",
"items": [
{
"description": "string",
"quantity": 0,
"unit": "string",
"details": [
"string"
],
"subtotal": 0
}
],
"amount_untaxed": 0,
"currency": "string"
}
]